{
  "codeName" : "Usr",
  "controlType" : "TREEVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer/PSTREEVIEWS/Usr.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
  "logicName" : "选择树",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "SELECTIONCHANGE;LOAD",
    "logicTag" : "tree",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_tree",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDETreeNodeRSs" : [ {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "personname"
    },
    "name" : "默认根节点 - 客户名称",
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "ROOT"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  }, {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "persondata"
    },
    "name" : "客户名称 - 客户数据",
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "personname"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  } ],
  "getPSDETreeNodes" : [ {
    "counterMode" : 0,
    "name" : "默认根节点",
    "nodeType" : "ROOT",
    "nodeValue" : "root",
    "text" : "默认根节点",
    "treeNodeType" : "STATIC",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : true,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "ROOT"
  }, {
    "counterMode" : 0,
    "name" : "客户名称",
    "nodeType" : "personname",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
    },
    "text" : "客户名称",
    "treeNodeType" : "STATIC",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "personname"
  }, {
    "counterMode" : 0,
    "getIdPSAppDEField" : {
      "name" : "IBIZCUSTOMERID",
      "codeName" : "IBIZCustomerId"
    },
    "maxSize" : -1,
    "name" : "客户数据",
    "nodeType" : "persondata",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
    },
    "getTextPSAppDEField" : {
      "name" : "IBIZCUSTOMERNAME",
      "codeName" : "IBIZCustomerName"
    },
    "treeNodeType" : "DE",
    "hasPSDETreeNodeRSs" : false,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "persondata"
  } ],
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "treeGridMode" : 0,
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "enableRootSelect" : false,
  "outputIconDefault" : true,
  "rootVisible" : false,
  "modelid" : "9315d1e615ea222d35c5444c302d3a77",
  "modeltype" : "PSDETREEVIEW"
}